"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

exports.default = readPackageJson;

var _path = require("path");

var _readPkg = require("read-pkg");

var _readPkg2 = _interopRequireDefault(_readPkg);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//------------------------------------------------------------------------------
// Public Interface
//------------------------------------------------------------------------------

/**
 * Reads the package.json in the current directory.
 *
 * @returns {object} package.json's information.
 */
/**
 * @author Toru Nagashima
 * @copyright 2016 Toru Nagashima. All rights reserved.
 * See LICENSE file in root directory for full license.
 */

//------------------------------------------------------------------------------
// Requirements
//------------------------------------------------------------------------------

function readPackageJson() {
  var path = (0, _path.join)(process.cwd(), "package.json");
  return (0, _readPkg2.default)(path).then(function (body) {
    return {
      taskList: (0, _keys2.default)(body.scripts || {}),
      packageInfo: { path: path, body: body }
    };
  });
}